<?php

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class SubMenuSeeder extends Seeder
{
    public function run()
    {
        // ex : role, rute => rute submenu, in_rute => rute in to submenu
        // [
        //     'id_menu'      => '1',
        //     'nama'         => 'Message Inbox',
        //     'ikon'         => '',
        //     'rute'         => "/message",
        //     'in_rute'      => "/add-message,/update-message",
        //     'role'         => 'WHS,Supplier,QC',
        // ],
        DB::table('submenu')->insert([
        // MESSAGE :: WHS, QC, Supplier
            // [
            //     'id_menu'      => '1',
            //     'nama'         => 'Message Inbox',
            //     'ikon'         => '',
            //     'rute'         => "/inbox-message",
            //     'in_rute'      => "#",
            //     'role'         => 'WHS,Supplier,QC',
            // ],
            // [
            //     'id_menu'      => '1',
            //     'nama'         => 'Create Message',
            //     'ikon'         => '',
            //     'rute'         => "/create-message",
            //     'in_rute'      => "#",
            //     'role'         => 'WHS,Supplier,QC',
            // ],
        // END MESSAGE

        // TRANSACTION :: WHS, QC, Supplier
            [
                'id_menu'      => '2',
                'nama'         => 'Item Kanban',
                'ikon'         => '',
                'rute'        => "/item-kanbans",
                'in_rute'      => "#",
                'role'         => 'WHS',
            ],
            [
                'id_menu'      => '2',
                'nama'         => 'Master Cycle',
                'ikon'         => '',
                'rute'        => "/master-cycles",
                'in_rute'      => "#",
                'role'         => 'WHS',
            ],
            [
                'id_menu'      => '2',
                'nama'         => 'Delivery Note',
                'ikon'         => '',
                'rute'         => "/delivery-notes/create",
                'in_rute'      => "#",
                'role'         => 'WHS',
            ],
            [
                'id_menu'      => '2',
                'nama'         => 'Edit Delivery Note',
                'ikon'         => '',
                'rute'         => "/delivery-notes",
                'in_rute'      => "#",
                'role'         => 'WHS',
            ],
            [
                'id_menu'      => '2',
                'nama'         => 'Approval LPB',
                'ikon'         => '',
                'rute'         => "/approval-elpb",
                'in_rute'      => "#",
                'role'         => 'WHS',
            ],
            [
                'id_menu'      => '2',
                'nama'         => 'QC Barcode',
                'ikon'         => '',
                'rute'         => "/qc-barcode",
                'in_rute'      => "#",
                'role'         => 'QC',
            ],
            [
                'id_menu'      => '2',
                'nama'         => 'Item Check QC',
                'ikon'         => '',
                'rute'         => "/item-check-qc",
                'in_rute'      => "#",
                'role'         => 'QC',
            ],
            [
                'id_menu'      => '2',
                'nama'         => 'QPR Receiving Input',
                'ikon'         => '',
                'rute'         => "/qpr-receiving",
                'in_rute'      => "#",
                'role'         => 'QC',
            ],
            [
                'id_menu'      => '2',
                'nama'         => 'QPR Customer View',
                'ikon'         => '',
                'rute'         => "/qpr-customer-view",
                'in_rute'      => "#",
                'role'         => 'QC',
            ],
            [
                'id_menu'      => '2',
                'nama'         => 'QPR Release New',
                'ikon'         => '',
                'rute'         => "/qpr-release-new",
                'in_rute'      => "#",
                'role'         => 'QC',
            ],
            [
                'id_menu'      => '2',
                'nama'         => 'All List QPR',
                'ikon'         => '',
                'rute'        => "/all-list-qpr",
                'in_rute'      => "#",
                'role'         => 'QC',
            ],
            [
                'id_menu'      => '2',
                'nama'         => 'Surat Claim QPR',
                'ikon'         => '',
                'rute'         => "/surat-claim-qpr",
                'in_rute'      => "#",
                'role'         => 'QC',
            ],
            [
                'id_menu'      => '4',
                'nama'         => 'Print QPR R',
                'ikon'         => '',
                'rute'        => "/print-qpr-r",
                'in_rute'      => "#",
                'role'         => 'QC',
            ],
            [
                'id_menu'      => '4',
                'nama'         => 'Print QPR L',
                'ikon'         => '',
                'rute'         => "/print-qpr-l",
                'in_rute'      => "#",
                'role'         => 'QC',
            ],
            [
                'id_menu'      => '5',
                'nama'         => 'QC Process Barcode',
                'ikon'         => '',
                'rute'         => "/qc-process-bc",
                'in_rute'      => "#",
                'role'         => 'QC',
            ],
            [
                'id_menu'      => '2',
                'nama'         => 'Sortir',
                'ikon'         => '',
                'rute'        => "/sortir",
                'in_rute'      => "#",
                'role'         => 'QC',
            ],
            [
                'id_menu'      => '2',
                'nama'         => 'Countermeasure',
                'ikon'         => '',
                'rute'        => "/sortir",
                'in_rute'      => "#",
                'role'         => 'QC',
            ],
            [
                'id_menu'      => '2',
                'nama'         => 'Delivery Order (PO)',
                'ikon'         => '',
                'rute'        => "/delivery-order-po",
                'in_rute'      => "#",
                'role'         => 'Supplier',
            ],
            [
                'id_menu'      => '2',
                'nama'         => 'Edit Delivery (PO)',
                'ikon'         => '',
                'rute'        => "/edit-delivery-order-po",
                'in_rute'      => "#",
                'role'         => 'Supplier',
            ],
            [
                'id_menu'      => '2',
                'nama'         => 'Delivery Order (DN)',
                'ikon'         => '',
                'rute'         => "/packingslip-by-dn",
                'in_rute'      => "#",
                'role'         => 'Supplier',
            ],
            [
                'id_menu'      => '2',
                'nama'         => 'Edit Delivery Order (DN)',
                'ikon'         => '',
                'rute'         => "/edit-delivery-order-dn",
                'in_rute'      => "#",
                'role'         => 'Supplier',
            ],

            // Delivery Slip :: WHS
            [
                'id_menu'      => '3',
                'nama'         => 'Add',
                'ikon'         => '',
                'rute'         => "/cover-letter",
                'in_rute'      => "#",
                'role'         => 'WHS',
            ],
            [
                'id_menu'      => '3',
                'nama'         => 'List',
                'ikon'         => '',
                'rute'         => "/print-delivery-slip",
                'in_rute'      => "#",
                'role'         => 'WHS',
            ],
            [
                'id_menu'      => '3',
                'nama'         => 'List Detail',
                'ikon'         => '',
                'rute'         => "/report-delivery-slip",
                'in_rute'      => "#",
                'role'         => 'WHS',
            ],
            [
                'id_menu'      => '3',
                'nama'         => 'Miss Pack',
                'ikon'         => '',
                'rute'         => "/list-miss-packing",
                'in_rute'      => "#",
                'role'         => 'WHS',
            ],
            [
                'id_menu'      => '3',
                'nama'         => 'Item Pending',
                'ikon'         => '',
                'rute'         => "/delivery-item-pending",
                'in_rute'      => "#",
                'role'         => 'WHS',
            ],
            // [
            //     'id_menu'      => '3',
            //     'nama'         => 'Listt',
            //     'ikon'         => '',
            //     'rute'        => "/print-delivery-slip",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            [
                'id_menu'      => '3',
                'nama'         => 'Mutasi Bulanan',
                'ikon'         => '',
                'rute'        => "/monthly-ds-report",
                'in_rute'      => "#",
                'role'         => 'WHS',
            ],
             [
                'id_menu'      => '3',
                'nama'         => 'Report',
                'ikon'         => '',
                'rute'        => "/report-delivery-slip",
                'in_rute'      => "#",
                'role'         => 'WHS',
            ],

            // Print Report :: Supplier, WHS
            [
                'id_menu'      => '4',
                'nama'         => 'Packing Slip (Barcode)',
                'ikon'         => '',
                'rute'        => "/packingslip-barcode",
                'in_rute'      => "#",
                'role'         => 'Supplier',
            ],
            [
                'id_menu'      => '4',
                'nama'         => 'Packing Slip PP (Barcode)',
                'ikon'         => '',
                'rute'         => "/print-packingslip-barcode",
                'in_rute'      => "#",
                'role'         => 'Supplier',
            ],
            [
                'id_menu'      => '4',
                'nama'         => 'Print E-LPB',
                'ikon'         => '',
                'rute'         => "/print-lpb",
                'in_rute'      => "#",
                'role'         => 'Supplier',
            ],
            // [
            //     'id_menu'      => '4',
            //     'nama'         => 'Delivery Note',
            //     'ikon'         => '',
            //     'rute'         => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            [
                'id_menu'      => '4',
                'nama'         => 'Print Delivery Note',
                'ikon'         => '',
                'rute'         => "/report-delivery-note",
                'in_rute'      => "#",
                'role'         => 'WHS',
            ],
            [
                'id_menu'      => '4',
                'nama'         => 'VPR',
                'ikon'         => '',
                'rute'         => "/view-outstanding-po",
                'in_rute'      => "#",
                'role'         => 'WHS',
            ],
            [
                'id_menu'      => '2',
                'nama'         => 'Edit Delivery Note DHL',
                'ikon'         => '',
                'rute'         => "/report-delivery-note",
                'in_rute'      => "#",
                'role'         => 'WHS',
            ],

            // View : Supplier
            [
                'id_menu'      => '5',
                'nama'         => 'Summary Delivery Note',
                'ikon'         => '',
                'rute'         => "/summary-delivery-notes",
                'in_rute'      => "#",
                'role'         => 'WHS',
            ],
            [
                'id_menu'      => '5',
                'nama'         => 'List Delivery Note',
                'ikon'         => '',
                'rute'         => "/list-delivery-notes",
                'in_rute'      => "#",
                'role'         => 'WHS',
            ],
            [
                'id_menu'      => '5',
                'nama'         => 'DN vs Packing Slip',
                'ikon'         => '',
                'rute'        => "/dn-vs-packingslip",
                'in_rute'      => "#",
                'role'         => 'WHS',
            ],
            [
                'id_menu'      => '5',
                'nama'         => 'Print PO',
                'ikon'         => '',
                'rute'        => "/print_purchase_order",
                'in_rute'      => "#",
                'role'         => 'Supplier',
            ],
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'Packing Slip',
            //     'ikon'         => '',
            //     'rute'        => "/packingslip-barcode",
            // 'in_rute'      => "#",
            //     'role'         => 'Supplier',
            // ],
            [
                'id_menu'      => '5',
                'nama'         => 'VPR',
                'ikon'         => '',
                'rute'        => "/view-outstanding-po",
                'in_rute'      => "#",
                'role'         => 'Supplier',
            ],
            [
                'id_menu'      => '5',
                'nama'         => 'Receipt',
                'ikon'         => '',
                'rute'         => "/view-receipt",
                'in_rute'      => "#",
                'role'         => 'Supplier',
            ],
            [
                'id_menu'      => '5',
                'nama'         => 'Delivery Note',
                'ikon'         => '',
                'rute'         => "/view-delivery-note",
                'in_rute'      => "#",
                'role'         => 'Supplier',
            ],
             [
                'id_menu'      => '5',
                'nama'         => 'Achivement Delivery Supplier',
                'ikon'         => '',
                'rute'         => "#",
                'in_rute'      => "#",
                'role'         => 'WHS',
            ],
            // Instrans : WHS
            [
                'id_menu'      => '7',
                'nama'         => 'Change PO M or No M',
                'ikon'         => '',
                'rute'        => "/change-intrans",
                'in_rute'      => "/add-change-po",
                'role'         => 'WHS',
            ],
            [
                'id_menu'      => '7',
                'nama'         => 'Transfer Intrans',
                'ikon'         => '',
                'rute'        => "/transfer-intrans-view",
                'in_rute'      => "/transfer-intrans,/transfer-intrans-detail",
                'role'         => 'WHS',
            ],
            [
                'id_menu'      => '7',
                'nama'         => 'Pending Transfer Intrans',
                'ikon'         => '',
                'rute'         => '/pending-intrans',
                'in_rute'      => "/pending-intrans-detail",
                'role'         => 'WHS',
            ],
            [
                'id_menu'      => '7',
                'nama'         => 'View',
                'ikon'         => '',
                'rute'        => "/view-intrans",
                'in_rute'      => "/view-intrans-detail",
                'role'         => 'WHS',
            ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'Status PO',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'RSC',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'TAG WHS',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'List TAG',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'ATI KANBAN(1:10:3)',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'ATI MANUAL(1:10:3)',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'DHL MANUAL',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'Schedule ATI',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'List Manual LPB',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'e-DN',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'Receiving Barcode',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // END Transaction : WHS

            // Transaction : Supplier
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'Input Stock Supplier',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Supplier',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'Stock Supplier',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Supplier',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'e-DN',
            //     'ikon'         => '',
            //     'rute'         => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Supplier',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'CS',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Supplier',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'Delivery Order (PP)',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Supplier',
            // ],
            // END Transaction : Supplier

            // Transaction : Finance
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'All List QPR',
            //     'ikon'         => '',
            //     'rute'        => "/all-list-qpr",
            // 'in_rute'      => "#",
            //     'role'         => 'Finance',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'QPR To Excel',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Finance',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'Sortir',
            //     'ikon'         => '',
            //     'rute'         => "/sortir",
            // 'in_rute'      => "#",
            //     'role'         => 'Finance',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'Supplier Quality Perfomance',
            //     'ikon'         => '',
            //     'rute'         => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Finance',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'Upload Data PPC',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Finance',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'View Upload',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Finance',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'VPR PPC',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Finance',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'VPR Subcount',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Finance',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'VPR GKD',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Finance',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'Tax Rate',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Finance',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'View Tax Rate',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Finance',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'Print Tax Rate',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Finance',
            // ],
            // END Transaction : Finance

            // Transaction : QC

            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'QPR Receiving View',
            //     'ikon'         => '',
            //     'rute'        => "",
            // 'in_rute'      => "#",
            //     'role'         => 'QC',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'QPR Line Produksi View',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'QC',
            // ],

            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'Surat Claim QPR',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'QC',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'Supplier Quality Performance',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'QC',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'Upload Data PPC',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'QC',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'View Upload',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'QC',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'VPR',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'QC',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'VPR PPC',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'QC',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'VPR Subcount',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'QC',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'VPR GKD',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'QC',
            // ],
            // END Transaction : QC

            // Transaction : Accounting
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'Return Transaction',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Accounting',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'Tax Rate',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Accounting',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'View Tax Rate',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Accounting',
            // ],
            // [
            //     'id_menu'      => '2',
            //     'nama'         => 'Print Tax Rate',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Accounting',
            // ],
            // END Transaction : Accounting

        // END TRANSACTION

        // DELIVERY SLIP
            // Delivery Slip : WHS
            // [
            //     'id_menu'      => '3',
            //     'nama'         => 'Edit SI Kosong',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '3',
            //     'nama'         => 'Report',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '3',
            //     'nama'         => 'Report Polibox',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // END Delivery Slip : WHS

            // Delivery Slip : Supplier
            // END Delivery Slip : Supplier

            // Delivery Slip : Accounting
            // [
            //     'id_menu'      => '3',
            //     'nama'         => 'List',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Accounting',
            // ],
            // [
            //     'id_menu'      => '3',
            //     'nama'         => 'Miss Pack',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Accounting',
            // ],
            // [
            //     'id_menu'      => '3',
            //     'nama'         => 'Item Pending',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Accounting',
            // ],
            // [
            //     'id_menu'      => '3',
            //     'nama'         => 'Report',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Accounting',
            // ],
            // END Delivery Slip : Accounting
        // END DELIVERY SLIP

        // PRINT REPORT
            // Print Report : WHS
            // soffatur
            // [
            //     'id_menu'      => '4',
            //     'nama'         => 'Print Serah Terima LPB',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '4',
            //     'nama'         => 'Rekap Tanda Terima LPB',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '4',
            //     'nama'         => 'LPB Yang Sudah Ditagih',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '4',
            //     'nama'         => 'Print E-Kanban',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '4',
            //     'nama'         => 'Print Skid Label',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '4',
            //     'nama'         => 'Delivery Note DHL',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '4',
            //     'nama'         => 'STO Vendor',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '4',
            //     'nama'         => 'Rekap Receiving Manual',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '4',
            //     'nama'         => 'VPR',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '4',
            //     'nama'         => 'VPR GKD',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '4',
            //     'nama'         => 'VPR Subcount',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '4',
            //     'nama'         => 'PPC Stock',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],

            // END Print Report : WHS

            // Print Report : Supplier

            // [
            //     'id_menu'      => '4',
            //     'nama'         => 'Packing Slip (Detail)',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Supplier',
            // ],
            // [
            //     'id_menu'      => '4',
            //     'nama'         => 'LPB Yang Sudah Ditagih',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Supplier',
            // ],
            // [
            //     'id_menu'      => '4',
            //     'nama'         => 'Delivery Note',
            //     'ikon'         => '',
            //     'rute'        => "/report-delivery-note",
            // 'in_rute'      => "#",
            //     'role'         => 'Supplier',
            // ],
            // [
            //     'id_menu'      => '4',
            //     'nama'         => 'Delivery Note DHL',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Supplier',
            // ],
            // [
            //     'id_menu'      => '4',
            //     'nama'         => 'Print E-LPB',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Supplier',
            // ],
            // [
            //     'id_menu'      => '4',
            //     'nama'         => 'Print E-Kanban',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Supplier',
            // ],
            // [
            //     'id_menu'      => '4',
            //     'nama'         => 'Print Skid Label',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Supplier',
            // ],
            // END Print Report : Supplier

            // Print Report : Finance
            // [
            //     'id_menu'      => '4',
            //     'nama'         => 'Print Invoice',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Finance',
            // ],
            // [
            //     'id_menu'      => '4',
            //     'nama'         => 'LPB Yang Sudah Ditagih',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Finance',
            // ],
            // END Print Report : Finance

            // Print Report : QC
            // END Print Report : QC

        // END PRINT REPORT

        // VIEW
            // View : WHSSS
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'Stock Supplier',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'Item (WHS)',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'Receiving Process Barcode',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'Delivery Note',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'Summary Delivery Note',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'Summary Packing Slip',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'List Delivery Note',
            //     'ikon'         => '',
            //     'rute'        => "/list-delivery-notes",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'List Delivery Note DHL',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'List Packing Slip',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'Control Stock',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'List QPR',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'Receiving Friction',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'Fedex',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'Achivement Delivery Supplier',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'Achievement Delivery Supplier (ATI)',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'Level Stock Supplier',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'Production',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'Transfer QAD',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'WHS',
            // ],
            // END View : WHS

            // View : Supplier
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'View Registrasi LPB',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Supplier',
            // ],
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'View SJ Bermasalah',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Supplier',
            // ],
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'Packing Slip',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Supplier',
            // ],
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'Delivery Note',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Supplier',
            // ],
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'Stock Supplier',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Supplier',
            // ],

            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'Outstanding PO',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Supplier',
            // ],
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'VPR',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Supplier',
            // ],
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'Achievement Delivery Supplier',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Supplier',
            // ],
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'DN - Fexqms',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Supplier',
            // ],
            // END View : Supplier

            // View : QC
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'List QPR',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'QC',
            // ],
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'Sortir',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'QC',
            // ],
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'Status Checksheet',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'QC',
            // ],
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'Approval Checksheet',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'QC',
            // ],
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'DN - Fexqms',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'QC',
            // ],
            // END View : QC

            // View : Accounting
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'List LPB',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Accounting',
            // ],
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'List QPR',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Accounting',
            // ],
            // [
            //     'id_menu'      => '5',
            //     'nama'         => 'List PPwe & PO',
            //     'ikon'         => '',
            //     'rute'        => "#",
            // 'in_rute'      => "#",
            //     'role'         => 'Accounting',
            // ],
            // END View : Accounting
        // END VIEW
        ]);
    }
}
